@keyframes spin {
  from {
    transform: rotate(0deg); 
  }
  to {
    transform: rotate(360deg); 
  }
}

@keyframes move {
  from {
    transform: translate(-90px, 0%);
  }

  to {
    transform: translate(90px, 0%);
  }
}

@keyframes gradientAnimation {
  from {
    background-image: linear-gradient(to right, var(--color-main), var(--color-midlayer), var(--color-secondary));
  }
  to {
    background-image: linear-gradient(to right, var(--color-secondary), var(--color-midlayer), var(--color-main));
  }
}

@keyframes glowing {
    0% { background-position: 0 0; }
    50% { background-position: 400% 0; }
    100% { background-position: 0 0; }
}

.link-animated {
  position: relative;
  padding: 10px 20px;
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
}

.link-animated:hover {
  color: var(--color-hover);
}

.link-animated::before {
  content: '';
  position: absolute;
  inset: 0;
  border-radius: 1vw;
  z-index: -1;
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

.link-animated:hover::before {
  opacity: 1;
  animation: gradientAnimation 3s linear infinite alternate;
}

.text-animated {
  transition: color 0.5s ease-in-out;
}

.text-animated:hover {
  color: var(--color-hover);
}

.tutor-image__wheel {
  animation: spin 10s linear infinite;
}

.button:hover, .adaptive-button:hover {
  background-color: transparent;
  color: var(--color-hover);
  border: none;
}

.button:active, .adaptive-button:active {
  background-color: transparent;
  color: var(--color-hover);
  border: none;
}

.button:before, .adaptive-button:before {
  content: '';
  background: linear-gradient(90deg, var(--color-main), var(--color-secondary), var(--color-main));
  position: absolute;
  top: -15px;
  left:-15px;
  background-size: 200%;
  z-index: -1;
  filter: blur(5px);
  width: calc(100% + 30px);
  height: calc(100% + 30px);
  animation: glowing 20s linear infinite;
  opacity: 1;
  border-radius: var(--gap-main);
}

.blue-bottom svg {
  background: var(--color-bg);
  display: block;
  width: 100%;
  height: 7vw;
}

.blue-bottom svg>g>use {
  animation: move 20s linear infinite;
}

.blue-bottom svg>g>use:nth-child(1) {
  animation-delay: -1s;
  animation-duration: 10s;
  fill: var(--color-midlayer);
}

.blue-bottom svg>g>use:nth-child(2) {
  animation-delay: -2s;
  animation-duration: 15s;
  fill: var(--color-main);
}

.blue-top svg {
  background: var(--color-main);
  display: block;
  width: 100%;
  height: 7vw;
}

.blue-top svg>g>use {
  animation: move 20s linear infinite;
}

.blue-top svg>g>use:nth-child(1) {
  animation-delay: -1s;
  animation-duration: 10s;
  fill: var(--color-midlayer);
}

.blue-top svg>g>use:nth-child(2) {
  animation-delay: -2s;
  animation-duration: 15s;
  fill: var(--color-bg);
}

.red-bottom svg {
  background: var(--color-bg);
  display: block;
  width: 100%;
  height: 7vw;
}

.red-bottom svg>g>use {
  animation: move 20s linear infinite;
}

.red-bottom svg>g>use:nth-child(1) {
  animation-delay: -1s;
  animation-duration: 10s;
  fill: var(--color-midlayer);
}

.red-bottom svg>g>use:nth-child(2) {
  animation-delay: -2s;
  animation-duration: 15s;
  fill: var(--color-secondary);
}

.red-top svg {
  background: var(--color-secondary);
  display: block;
  width: 100%;
  height: 7vw;
}

.red-top svg>g>use {
  animation: move 20s linear infinite;
}

.red-top svg>g>use:nth-child(1) {
  animation-delay: -1s;  
  animation-duration: 10s;
  fill: var(--color-midlayer);
}

.red-top svg>g>use:nth-child(2) {
  animation-delay: -2s;
  animation-duration: 15s;
  fill: var(--color-bg);
}